/****************************************************************************
 *
 * DBAComp(anion) - An administration tool for Oracle databases
 * Copyright (C) 2000-2003  Torsten FASSIAN (torsten@internet.lu) 
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 *
 *	As a special exception, you have permission to link this program
 *	with the Qt library and distribute executables, as long as you
 *	follow the requirements of the GNU GPL in regard to all of the
 *	software in the executable aside from Qt.
 *
 ****************************************************************************/
#ifndef DBLIST_H
#define DBLIST_H  

#include "dbsheet.h"
#include "griddatadisplay.h"
#include <qlistview.h>
#include <qdom.h>

class DBList: public DBSheet
{
	Q_OBJECT
public:
	//DBList(QWidget * parent=0, const char * name=0, bool ana=true);
	DBList(QWidget * parent=0, const QString& name=QString::null, 
	       bool ana=true);
	// the bool isSQL tells the constructor if the argument q is a sql
	// statement (true) or the name of a sql statement (false)
	DBList(const QString& q, QWidget * parent=0, 
	       const QString& name=QString::null, 
	       bool isSQL=false, bool ana=true);
	//DBList(const ObjParm& parm, const char * q, QWidget * parent=0, 
	DBList(const ObjParm& parm, const QString& q, QWidget * parent=0, 
	       const QString& name=QString::null, bool isSQL=false, 
	       bool ana=true);
	DBList(const QDomElement* w);
	virtual ~DBList();

protected:
	virtual void setDD();

protected slots:
	virtual void callInfo(row * clickedRow){};
	
private:
	bool allowNumberAlign;
	void construct();
};


#endif  
