/****************************************************************************
 *
 * DBAComp(anion) - An administration tool for Oracle databases
 * Copyright (C) 2000-2003  Torsten FASSIAN (torsten@internet.lu) 
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 *
 *	As a special exception, you have permission to link this program
 *	with the Qt library and distribute executables, as long as you
 *	follow the requirements of the GNU GPL in regard to all of the
 *	software in the executable aside from Qt.
 *
 ****************************************************************************/
#include "displaydlg.h"
#include <qpushbutton.h>
#include <qmultilineedit.h>

DisplayDlg::DisplayDlg(const QString& txt, QWidget *parent, QString name )
        : QDialog( parent, name.local8Bit(), TRUE )
{
	QPushButton *ok = new QPushButton( "OK", this );
	ok->setGeometry( 500,10, 90,30 );
	connect( ok, SIGNAL(clicked()), SLOT(accept()) );

	TextField = new QMultiLineEdit(this);
	TextField->setWordWrap(QMultiLineEdit::WidgetWidth);
	TextField->setReadOnly(true);
	TextField->setText(txt);
	TextField->setGeometry(10,10,470,160);

    setFixedWidth(600);
    setFixedHeight(210);                                                        

	ok->setFocus();
}

DisplayDlg::~DisplayDlg()
{
}

QMultiLineEdit* DisplayDlg::getTextField() const
{
	return TextField;
}
