/****************************************************************************
 *
 * DBAComp(anion) - An administration tool for Oracle databases
 * Copyright (C) 2000-2003  Torsten FASSIAN (torsten@internet.lu) 
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 *
 *	As a special exception, you have permission to link this program
 *	with the Qt library and distribute executables, as long as you
 *	follow the requirements of the GNU GPL in regard to all of the
 *	software in the executable aside from Qt.
 *
 ****************************************************************************/
#ifndef EDITOR_H
#define EDITOR_H  

#include "sheet.h"

class MultiLineEdit;

class Editor: public Sheet
{
	Q_OBJECT
public:
	Editor(QWidget * parent=0, const QString& name=QString::null);
	//Editor(QWidget * parent=0, const char * name=0);
	Editor(QString FileName, QWidget * parent=0, 
	       const QString& name=QString::null);
	//Editor(QString FileName, QWidget * parent=0, const char * name=0);
	virtual ~Editor();
	//void loadFile(QString FileName, QMultiLineEdit * me);

protected slots:
	void loadFile(QString FileName);
	void newFile();
	void open();
	void save();
	void saveAs();
	void Print();
	void Find();
	void Replace();
	void executeWithCurrentCredentials();
	void executeWithOtherCredentials();

protected:
	void closeEvent( QCloseEvent* );
	virtual void fillActionMenu();
	virtual void setupActionToolBar();

private:
	MultiLineEdit * me;
	QString FileName;
	QPrinter *printer;

	void construct();
	void execute(const QString &un, const QString &pw, const QString &tns);
};
#endif  
