/****************************************************************************
 *
 * DBAComp(anion) - An administration tool for Oracle databases
 * Copyright (C) 2000-2003  Torsten FASSIAN (torsten@internet.lu) 
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 *
 *	As a special exception, you have permission to link this program
 *	with the Qt library and distribute executables, as long as you
 *	follow the requirements of the GNU GPL in regard to all of the
 *	software in the executable aside from Qt.
 *
 ****************************************************************************/
#include "inputdlg.h"
#include "filterdlg.h"
#include <qlistbox.h>
#include <qpushbutton.h>
#include <qmultilinedit.h>
#include <qlabel.h>

FilterDlg::FilterDlg(const QStringList& cols, QString expr, QWidget *parent, QString name )
        : InputDlg( expr, parent, name)
{
	QLabel *l=new QLabel("Columns",this);
	l->setGeometry(10,140,80,20);                                                                                 
        QListBox *ColBox = new QListBox(this);
        ColBox->insertStringList(cols);
        ColBox->setGeometry(10,160,200,230);
        connect( ColBox, SIGNAL(selected(const QString &)), 
	         SLOT(addColumn(const QString &)) );

	l=new QLabel("Operators",this);
	l->setGeometry(230,140,80,20);                                                                                 
        QListBox *operator_box = new QListBox(this);
        operator_box->insertItem("(");
        operator_box->insertItem(")");
        operator_box->insertItem("AND");
        operator_box->insertItem("OR");
        operator_box->insertItem("NOT");
        operator_box->insertItem("=");
	operator_box->insertItem(">");
        operator_box->insertItem(">=");
        operator_box->insertItem("<");
	operator_box->insertItem("<=");
	operator_box->insertItem("<>");
        operator_box->insertItem("LIKE"); 
        operator_box->insertItem("IS NULL"); 
        operator_box->insertItem("IS NOT NULL"); 
        operator_box->setGeometry(230,160,100,150);
        connect( operator_box, SIGNAL(selected(const QString &)), 
		 SLOT(addOperator(const QString &)) );

        QPushButton *clear_button = new QPushButton("Clear",this);
        clear_button->setGeometry(500,110,90,30);
        connect( clear_button, SIGNAL(clicked()), getExpressionField(),
		 SLOT(clear()) );

	l = new QLabel(this, "Help");
	l->setText(" The column list only contains the columns shown in the\n parent window. If you want to use other columns you can\n enter them manually in the expression box.");
	l->setGeometry(230,330,400,50);
	setCaption("Filter expression for current sheet");
}

void FilterDlg::addColumn(const QString & col)
{
        getExpressionField()->setText(getExpressionField()->text()+col);
}

void FilterDlg::addOperator(const QString & op)
{
        getExpressionField()->setText(getExpressionField()->text()+" "+op+" ");
}

