/****************************************************************************
 *
 * DBAComp(anion) - An administration tool for Oracle databases
 * Copyright (C) 2000-2003  Torsten FASSIAN (torsten@internet.lu) 
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 *
 *	As a special exception, you have permission to link this program
 *	with the Qt library and distribute executables, as long as you
 *	follow the requirements of the GNU GPL in regard to all of the
 *	software in the executable aside from Qt.
 *
 ****************************************************************************/
#ifndef FORMVIEW_H
#define FORMVIEW_H

#include <qscrollview.h>
#include <qprinter.h>

class QString;
class QPoint;
class QMouseEvent;

class FormView: public QScrollView
{
        Q_OBJECT
public:
	typedef enum { vertical, horizontal } orientation;
	// Why does this not work
	//enum orientation { vertical, horizontal };
    	FormView(int cols=1,int lw=100, int tw=100, QWidget * parent=0, 
		 const QString& name=QString::null,WFlags f=0 );
    //FormView(int cols=1,int lw=100, int tw=100, QWidget * parent=0, const char * name=0,WFlags f=0 );
	virtual ~FormView();
	void setText(const QString label, const QString text,bool single=false, int w=0, int h=0, bool wrap=false);
	void setField(const QString label, const QString text);
	void setSingleField(const QString label, const QString text, int w=0, int h=0, bool wrap=false);
	void newRecord();
	//void setStart(QPoint * pt){};
	//QPoint getStart(){return QPoint(1,1)};
	void setMaxLabelWidth(int lw);
	void setMaxTextWidth(int tw);
	void setLabelTextDist(int d);
   	void setMaxFieldHeight(int h);
	void setRecDist(int rd);
	void clear();
	virtual void printData(const QString& OutputFilename=QString::null, 
			       const QString& docName=QString::null, 
			       const QPrinter::Orientation& orient=QPrinter::Landscape);
	virtual void saveData();

protected:
	virtual void contentsMousePressEvent ( QMouseEvent * ); 

signals:
	void rightButtonPressed(const QPoint &);


private:
	orientation orient;
	int columns;
	int rows;
	long NoOfRecords;
	QPoint start;
	QPoint currLoc;	
	
	int currCol;
	int currRow;
	int fieldDistX;
	int fieldDistY;
	
	// needed to define contents size
	int RightMostPixel;
	int LowestPixel;

	int maxLabelWidth;
	int maxTextWidth;
	int LabelTextDist;
	// sum of the 3 above
	int maxFieldWidth;

	int maxFieldHeight;
	int recDist;
};


#endif
