/****************************************************************************
 *
 * DBAComp(anion) - An administration tool for Oracle databases
 * Copyright (C) 2000-2003  Torsten FASSIAN (torsten@internet.lu) 
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 *
 *	As a special exception, you have permission to link this program
 *	with the Qt library and distribute executables, as long as you
 *	follow the requirements of the GNU GPL in regard to all of the
 *	software in the executable aside from Qt.
 *
 ****************************************************************************/
#include "inputdlg.h"
#include <qpushbutton.h>
#include <qmultilinedit.h>
#include <qlabel.h>

InputDlg::InputDlg(QString txt, QWidget *parent, QString name )
        : QDialog( parent, name.local8Bit(), TRUE )
{
        QPushButton *ok, *cancel;
        ok = new QPushButton( "OK", this );
        ok->setGeometry( 500,10, 90,30 );
        connect( ok, SIGNAL(clicked()), SLOT(accept()) );
        cancel = new QPushButton( "Cancel", this );
        cancel->setGeometry( 500,60, 90,30 );
        connect( cancel, SIGNAL(clicked()), SLOT(reject()) );

	QLabel *l=new QLabel("Expression",this);
	l->setGeometry(10,5,80,20);
	expression = new QMultiLineEdit(this);
	expression->setText(txt);
	expression->setGeometry(10,25,450,110);

	setFixedWidth(600);
	setFixedHeight(400);                                                        

	ok->setFocus();

}

InputDlg::~InputDlg()
{
}

const QString InputDlg::getInput() const
{
	return expression->text();
}

QMultiLineEdit* InputDlg::getExpressionField() const
{
	return expression;
}
