/****************************************************************************
 *
 * DBAComp(anion) - An administration tool for Oracle databases
 * Copyright (C) 2000-2003  Torsten FASSIAN (torsten@internet.lu) 
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 *
 *	As a special exception, you have permission to link this program
 *	with the Qt library and distribute executables, as long as you
 *	follow the requirements of the GNU GPL in regard to all of the
 *	software in the executable aside from Qt.
 *
 ****************************************************************************/

#include "qt_oraconnect.h"

////////////////////////////////////////////
///////
///////         qt_oerr
///////
////////////////////////////////////////////
qt_oerr::qt_oerr(const QString& msg)
	: oerr((const char *)msg.local8Bit())
{
}

qt_oerr::qt_oerr(const oerr& err)
	: oerr(err)
{
}

QString qt_oerr::getMsg()
{
	return(QString::fromLocal8Bit(oerr::getMsg()));
}

////////////////////////////////////////////
///////
///////         qt_OraParm
///////
////////////////////////////////////////////
qt_OraParm::qt_OraParm(const int num)
	: OraParm(num)
{
}

qt_OraParm::qt_OraParm(const QString& parm)
	:OraParm((const char *)parm.local8Bit())
{
}

qt_OraParm::qt_OraParm(const OraParm& parm)
	: OraParm(parm)
{
}

void qt_OraParm::addParm(const QString& parm)
{
	OraParm::addParm((const char *)parm.local8Bit());
}

const QString qt_OraParm::getParm(int index) const
{
	return (QString::fromLocal8Bit(OraParm::getParm(index)));
}

OraParm& qt_OraParm::operator= (const QString& parm)
{
	return(OraParm::operator= ((const char *) parm.local8Bit()));
}

////////////////////////////////////////////
///////
///////         ORACONNECT
///////
////////////////////////////////////////////
qt_oraconnect::qt_oraconnect(const QString& name, const QString& uname,
			     const QString& pwd, const QString& db)
	:oraconnect((const char*)name.local8Bit(), 
		    (const char*)uname.local8Bit(),
		    (const char*)pwd.local8Bit(),
		    (const char*)db.local8Bit())
{
}

void qt_oraconnect::open(const QString& query)
{
	oraconnect::open((const char *)(query.local8Bit()));
}

void qt_oraconnect::open(const QString& query, const OraParm& parm)
{
	oraconnect::open((const char *)(query.local8Bit()),parm);
}

QString qt_oraconnect::getColName(int col)
{
	return (QString::fromLocal8Bit(oraconnect::getColName(col)));
}

QString qt_oraconnect::getCol(int col)
{
	return(QString::fromLocal8Bit( oraconnect::getCol(col)));
}
