/****************************************************************************
 *
 * DBAComp(anion) - An administration tool for Oracle databases
 * Copyright (C) 2000-2003  Torsten FASSIAN (torsten@internet.lu) 
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 *
 *	As a special exception, you have permission to link this program
 *	with the Qt library and distribute executables, as long as you
 *	follow the requirements of the GNU GPL in regard to all of the
 *	software in the executable aside from Qt.
 *
 ****************************************************************************/
#include <iostream.h>
#include <qlabel.h>
#include <qlineedit.h>
#include <qpushbutton.h>
#include <qstring.h>
#include "row.h"
#include "dbtab.h"
#include "dbform.h"
#include "griddatadisplay.h"
#include "formdatadisplay.h"
#include "w_all_objects.h"
#include "mdi.h"
#include "dblist.h"
#include "objparm.h"
#include "dbobjects.h"
#include "sqlcache.h"
#include "qt_oraconnect.h"
#include <qmessagebox.h>
#include <qobjcoll.h>
#include <qtoolbutton.h>

w_all_objects::w_all_objects()
	: Sheet(0,"All objects"), ObjList(0)
{
	//setCaption("All objects");
	setupObjectList();
    	show();
	addCalcMenu();
}

void w_all_objects::setupObjectList()
{
        ObjList = new DBObjects(QString::null,this);
	connect(ObjList, SIGNAL(rightButtonPressed(const QPoint &)), this, SLOT(ContextMenu(const QPoint &)));
	setCentralWidget(ObjList);
}

void w_all_objects::addCalcMenu()
{
	QPopupMenu * action_menu = gMDI->getActionMenu();

	QPopupMenu * calc_menu = new QPopupMenu(this);
	action_menu->insertItem("Calculate",calc_menu);
	
	calc_menu->insertItem("All",ObjList,SLOT(calcAll()));
	calc_menu->insertSeparator();
	calc_menu->insertItem("All sizes",ObjList,SLOT(calcAllSizeOfObjects()));
	calc_menu->insertItem("All numbers",ObjList,SLOT(calcAllNoOfObjects()));
	calc_menu->insertSeparator();
	calc_menu->insertItem("Current size and number",ObjList,SLOT(calcCurSizeAndNumber()));
	calc_menu->insertItem("Current number",ObjList,SLOT(calcCurNoOfObjects()));
	calc_menu->insertItem("Current size",ObjList,SLOT(calcCurSizeOfObjects()));
}
