/****************************************************************************
 *
 * DBAComp(anion) - An administration tool for Oracle databases
 * Copyright (C) 2000-2003  Torsten FASSIAN (torsten@internet.lu) 
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 *
 *	As a special exception, you have permission to link this program
 *	with the Qt library and distribute executables, as long as you
 *	follow the requirements of the GNU GPL in regard to all of the
 *	software in the executable aside from Qt.
 *
 ****************************************************************************/
#ifndef W_PERFORMANCE_H
#define W_PERFORMANCE_H

#include "dbtab.h"

class QLabel;
class ScrollView;

class w_performance: public DBTab
{
	Q_OBJECT
public:
	w_performance();

public slots:
	virtual void retrieve();
	virtual void Print();
	virtual void SaveAs();

private:
	void makeTabs();
	void makeOtherTab();

	QLabel *dd_cache, *lib_cache, *buf_cache;
	QLabel *redo, *rbs_sys_head_waits, *rbs_sys_block_waits;
	QLabel *rbs_head_waits, *rbs_block_waits, *total_rbs_waits;
	QLabel *mts_busy_rate, *mts_disp_waits, *mts_server_waits;

	ScrollView * OtherTab;
private slots:
	void fillOtherTab(const QString & tabname);
	void OtherTabShown();
	void OtherTabHidden();

};

#endif
