/****************************************************************************
 *
 * DBAComp(anion) - An administration tool for Oracle databases
 * Copyright (C) 2000-2003  Torsten FASSIAN (torsten@internet.lu) 
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 *
 *	As a special exception, you have permission to link this program
 *	with the Qt library and distribute executables, as long as you
 *	follow the requirements of the GNU GPL in regard to all of the
 *	software in the executable aside from Qt.
 *
 ****************************************************************************/
#ifndef WINDOW_H
#define WINDOW_H  

#include <qapplication.h>
#include <qmainwindow.h>
#include <qpopmenu.h>
#include "objparm.h"

class SQLCache;
extern SQLCache * gSQLCache;
class qt_oraconnect;
extern qt_oraconnect * gConnObj;
extern QString gUsername, gPassword, gTNSAlias;
class mdi;
extern mdi * gMDI;
class ConfigFile;
extern ConfigFile * gConfigFile;

class Window: public QMainWindow
{
	Q_OBJECT
public:
	//Window(QWidget * parent=0, const char * name=0); 
	Window(QWidget * parent=0, const QString& name=QString::null); 
	//Window(const ObjParm& parm, QWidget * parent=0, const char * name=0); 
	Window(const ObjParm& parm, QWidget * parent=0, 
	       const QString& name=QString::null); 
	virtual ~Window();

protected:
	virtual const ObjParm* getWinParm();
	virtual void showEvent(QShowEvent * e);

private:
	ObjParm* WinParm;
};

#endif  
