/****************************************************************************
 *
 * DBAComp(anion) - An administration tool for Oracle databases
 * Copyright (C) 2001  Torsten FASSIAN (torsten@internet.lu) 
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 *
 *	As a special exception, you have permission to link this program
 *	with the Qt library and distribute executables, as long as you
 *	follow the requirements of the GNU GPL in regard to all of the
 *	software in the executable aside from Qt.
 *
 ****************************************************************************/
#include "oraconnect.h"
#include <iostream.h>
#include <stdio.h>
#include <string.h>
#include <stdlib.h>

int main(int argc,char** argv)
{
	cerr << "=============================================" << endl;
	cerr << "=                                           =" << endl;
	cerr << "=         ORACONNECT test program           =" << endl;
	cerr << "=                                           =" << endl;
	cerr << "=============================================" << endl;
	cerr << endl << endl;
	oraconnect *ora;
	char *username=0, *password=0, *tnsalias=0;
	username = new char[30];
	password = new char[30];
	tnsalias = new char[30];
	try
	{
		cerr << "Username: ";
		gets(username);
		cerr << "Password: ";
		gets(password);
		cerr << "TNS alias: ";
		gets(tnsalias);
		cerr << "Trying to connect..." << endl;
		if (strcmp(tnsalias,"")==0) 
		{
			ora = new oraconnect("test",username,password);
		}
		else
		{
			ora = new oraconnect("test",username,password,tnsalias);
		}
		cerr << "Connected\n";
		cerr << argv[1] << endl;
		char * query=argv[1];

		cerr << "Executing: " << query << endl;
		ora->open(query);

		cerr << "Number of cols:"<< ora->getCols() << '\n';
		cerr << "Fetching the data" << endl;
		// show col names
		int i;
		for (i=0;i<ora->getCols();i++)
		{
			cerr << ora->getColName(i) << '\t';
		}
		cerr << endl << endl;

		for (;ora->fetch() == 0;)
		{ 
			// show the values of all the cols of this record
			for (i=0;i<ora->getCols();i++)
   	     	{
               		 cerr << ora->getCol(i) << '\t' << '\t';
        	}
			cerr << endl;
  		}
  		cerr << "Number of rows: " << ora->count() << endl;
		ora->close();

		delete ora;           // Invoke Destructor - FREE Cursor Variable.
		exit(0);
	}

	catch(oerr& e)
	{
		cerr << "oerr catched" << endl;
		cerr << e.getMsg() << endl;
		exit(1);
	}
}

